Subject: Re: bug#44999: guix deploy Error reading from the channel

From: Ludovic Courtès <[email-masked]>
Date: Thu, 03 Dec 2020 17:45:57 +0100

Hi Jérémy,

Jérémy Korwin-Zmijowski <[email-masked]> skribis:

> I am trying to deploy a system on DigitalOcean droplet using `guix
> deploy`. But I am facing the following issue :
>
>    $ guix deploy ynm-machine-declaration.scm 
>    La (1) machine suivante sera d.ploy.e :
>      ynm
>
>    guix deploy: d.ploiement vers ynm...
>    ;;; [2020/12/02 00:15:48.683027, 0] read_from_channel_port: [GSSH
>    ERROR] Error reading from the channel: #<unknown channel (freed)
>    7f3ca3ef80a0>
>
> Then I decided to Ctrl-C the process.

Does it fail like this every time?

Your message suggests deployment on the droplet eventually succeeded
since you were able to run ‘guix pull’ there, is that correct?

Thanks,
Ludo’.